Bug 842379 - Review Request: mcollective-qpid-plugin - Plugin to enable m-collective communication over amqp 1.0 enabled broker
Review Request: mcollective-qpid-plugin - Plugin to enable m-collective commu...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Scherer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-23 12:07 EDT by Adam Miller
Modified: 2012-09-26 05:54 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-25 12:40:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
misc: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adam Miller 2012-07-23 12:07:43 EDT
Spec URL: http://maxamillion.fedorapeople.org/mcollective-qpid-plugin.spec
SRPM URL: http://maxamillion.fedorapeople.org/mcollective-qpid-plugin-0.1.1-1.el6.src.rpm
Description: m-collective communication plugin for amqp 1.0 enabled qpid broker
Fedora Account System Username: maxamillion
Comment 1 Michael Scherer 2012-07-23 17:49:04 EDT
Hi,

as I assume this is not gonna be backported to EPEL 5, I think you can and should clean :

- BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
( no longer needed )


%clean
rm -rf %{buildroot}

Done by default on Fedora, maybe needed for EPEL 6 ( not sure ).


%defattr(-,root,root,-)

( set by default, so can be removed )


rm -rf %{buildroot}   
( after %install, and also already done by default )


There is also no license bundled with the tarball, and policy requires to nag upstream about adding it :) . There is also no license in the ruby file, so that's problematic. Can you ask upstream to add both ( a copy of the license, and a comment in the ruby file with copyright, etc ) ?
Comment 2 Adam Miller 2012-07-24 19:07:27 EDT
I would like to add FAS account name tdawson to this review as I'll be out of town for the next week and don't want to be a blocker.

Fedora Account System Username: maxamillion tdawson
Comment 3 Troy Dawson 2012-07-30 11:27:24 EDT
I believe Adam was planning on having this be in EPEL 5 and 6.  But I don't see ruby-qpid-qmf in EPEL 5, so I'll have to talk with him about that when he get's back.

I have nagged upstream about the License and Copyright files.

https://bugzilla.redhat.com/show_bug.cgi?id=844426
Comment 4 Adam Miller 2012-08-01 16:06:44 EDT
Spec URL: http://maxamillion.fedorapeople.org/mcollective-qpid-plugin.spec
SRPM URL: http://maxamillion.fedorapeople.org/mcollective-qpid-plugin-0.1.1-2.fc17.src.rpm

I would like to target EPEL6 but I will likely not target EPEL5, I have removed the recommended "cruft" from the spec file ;) and snagged the re-released tarball from upstream that includes the LICENSE and COPYRIGHT files.
Comment 5 Michael Scherer 2012-08-01 17:07:27 EDT
Mhh, tarball got redone without changing the version number, that's evil ( and Fedora review complain, because src.rpm was not updated )

Anyway, you forgot one cleaning thing, and the rest is good.


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[-]: MUST Package contains desktop file if it is a GUI application.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. No licenses
     found. Please check the source files for licenses manually.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[!]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
     Note: Upstream MD5sum check error, diff is in
     /home/misc/checkout/git/FedoraReview/842379-mcollective-qpid-
     plugin/diff.txt
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[-]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX tarball generation or download is documented.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None
[!]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
     Note: Upstream MD5sum check error, diff is in
     /home/misc/checkout/git/FedoraReview/842379-mcollective-qpid-
     plugin/diff.txt
See: http://fedoraproject.org/wiki/Packaging/SourceURL

Rpmlint
-------
Checking: mcollective-qpid-plugin-0.1.1-2.fc17.src.rpm
          mcollective-qpid-plugin-0.1.1-2.fc17.noarch.rpm
mcollective-qpid-plugin.src: W: spelling-error Summary(en_US) amqp -> amp
mcollective-qpid-plugin.src: W: spelling-error %description -l en_US amqp -> amp
mcollective-qpid-plugin.src: W: file-size-mismatch mcollective-qpid-plugin-0.1.1.tar.gz = 3299, https://mirror.openshift.com/pub/crankcase/source/mcollective-qpid-plugin/mcollective-qpid-plugin-0.1.1.tar.gz = 2851
mcollective-qpid-plugin.noarch: W: spelling-error Summary(en_US) amqp -> amp
mcollective-qpid-plugin.noarch: W: spelling-error %description -l en_US amqp -> amp
2 packages and 0 specfiles checked; 0 errors, 5 warnings.


Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:
Requires
--------
mcollective-qpid-plugin-0.1.1-2.fc17.noarch.rpm (rpmlib, GLIBC filtered):
    
    mcollective  
    ruby-qpid-qmf  

Provides
--------
mcollective-qpid-plugin-0.1.1-2.fc17.noarch.rpm:
    
    mcollective-qpid-plugin = 0.1.1-2.fc17

MD5-sum check
-------------
https://mirror.openshift.com/pub/crankcase/source/mcollective-qpid-plugin/mcollective-qpid-plugin-0.1.1.tar.gz :
  MD5SUM this package     : f306b92b64ca012138e65cb9e25c451b
  MD5SUM upstream package : d4bda2faf5b34b94adae5e728e6b5294
diff -r also reports differences


Generated by fedora-review 0.2.0 (a5c4ced) last change: 2012-07-22
Command line :./try-fedora-review -b 842379
External plugins:
Comment 6 Adam Miller 2012-08-02 11:56:15 EDT
Spec URL: http://maxamillion.fedorapeople.org/mcollective-qpid-plugin.spec
SRPM URL: http://maxamillion.fedorapeople.org/mcollective-qpid-plugin-0.1.1-3.fc17.src.rpm

I completely goofed, I was referencing the incorrect "branding" in the Source0 url so it was pointing to the wrong thing.

I also removed the rm -fr from %install
Comment 7 Michael Scherer 2012-08-02 16:10:41 EDT
Ok so now, md5 is correct, the rm is corrected, so let's say this is approved.
Comment 8 Adam Miller 2012-08-02 16:27:21 EDT
New Package SCM Request
=======================
Package Name: mcollective-qpid-plugin
Short Description: Plugin to enable m-collective communication over amqp 1.0 enabled broker
Owners: maxamillion tdawson
Branches: f17 f18 el6
InitialCC:
Comment 9 Jon Ciesla 2012-08-02 19:23:34 EDT
Git done (by process-git-requests).

f18 not yet branched.
Comment 10 Peter Meier 2012-08-09 05:25:17 EDT
It would be great if EPEL5 could be targeted as well.

The main reason is that this would allow one to run mcollective over the same messaging system that pulp would use.

As pulp can be deployed on EL5 it is likely that organizations with EL5 and EL6 systems will deploy qpid as a messaging system in their environment to use all the features of pulp. However such organizations might also be interested to use mcollective and hence it would make sense to reuse the already deployed messaging bus for mcollective as well. Otherwise one would have to deploy a second messaging system within the infrastructure to use both (pulp and mcollective).

mcollective is able to use different messaging systems, however pulp can afaik only be used with qpid. So if one decide to use pulp qpid is set as a messaging bus. It would be a pity if the only reason for another messaging bus would be that there are no packages on EL5 for mcollective on qpid.

Besides one missing package (which can imho be fixed) I couldn't really read out other reasons why EL5 is not targeted. If there are other reasons could you please share them? Maybe they can be addressed as well - I might be able to contribute some time to fix these.

Thanks for reconsidering EL5 support.
Comment 11 Adam Miller 2012-08-09 09:29:21 EDT
Main reason being that this is part of the OpenShift-Origin[0] Fedora Feature efforts and there is a pretty respectable dependency list that just isn't available for RHEL5. I'm not necessarily opposed to working with you/someone to get this particular package functional on RHEL5 if it might be useful to others, but at first run I just didn't have any personal motivation to target RHEL5. 

[0] - https://fedoraproject.org/wiki/Features/OpenShift_Origin
Comment 12 Peter Meier 2012-08-16 15:31:38 EDT
So I looked at the missing packages for EL5, which seems to be ruby-qpid-qmf  that comes from the qpid-qmf source package. This package is available as part of the RHEMRG set for RHEL5 while it seems to be part of os for EL6. So in general we could make ruby-qpid-qmf available for EL5 as it should be possible to get all the necessary dependencies onto EL5

I don't know what would be the correct way to get from here further to make ruby-qpid-qmf available on EL5 so it can be referenced by other packages, but I will contact you by mail as I don't think this discussion should belong to this ticket.

As soon as we have sorted that out, I will contribute anything that is still required to get that package packaged for EL5.
Comment 13 Adam Miller 2012-08-16 15:36:26 EDT
Sounds good, looking forward to it! :)
Comment 14 Troy Dawson 2012-09-25 12:40:53 EDT
Marking this CLOSED/ERRATA because it is now in the Fedora 18 Alpha release.
Comment 15 Steve Traylen 2012-09-26 05:54:19 EDT
Re RHEL5 then reguardless of the OS of message broker a RHEL5 package
would be needed if there is a single RHEL5 mcollective agent on your network.

Steve.

Note You need to log in before you can comment on or make changes to this bug.